#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - glibc installation
#
# Creation   :  2017-11-13 holbru
# Last update:  $Id: postinstall-glibc.sh 47550 2017-11-23 12:09:13Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=glibc

# ---------------------------------------------------------------------------
# update-2.8.0
# ---------------------------------------------------------------------------
update_2_8_0()
{

    /usr/sbin/glibc_post_upgrade

    libs='ld-2.15.so
libBrokenLocale-2.15.so
libNoVersion-2.15.so
libanl-2.15.so
libc-2.15.so
libcidn-2.15.so
libcrypt-2.15.so
libdl-2.15.so
libm-2.15.so
libnsl-2.15.so
libnss_compat-2.15.so
libnss_db-2.15.so
libnss_dns-2.15.so
libnss_files-2.15.so
libnss_hesiod-2.15.so
libnss_nis-2.15.so
libnss_nisplus-2.15.so
libpthread-2.15.so
libresolv-2.15.so
librt-2.15.so
libutil-2.15.so
libNoVersion.so.1
libpcprofile.so
libmemusage.so'

    for FNAME in "${libs}"
    do 
        cd /lib
        rm -f ${FNAME}
    done

cd /

    rm -f /usr/bin/mtrace
    rm -f /usr/bin/pcprofiledump
    rm -f /usr/bin/pldd
    rm -f /usr/bin/sotruss
    rm -f /usr/bin/xtrace
    rm -f /usr/bin/lddlibc4 

    rm -rf /usr/lib/audit
    rm -rf /usr/lib/glibc

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
